<?php
use DebugBar\DataCollector\MessagesCollector;

class InfoCollector extends MessagesCollector
{

    public function __construct($data = 'test', $name = 'info')
    {
		parent::__construct($name);
		$this->add_wp_info($data);
    }

	public function add_wp_info ($data)
	{
		foreach($data as $info) {
			$this->addMessage($info['fields'], $info['label'], false);
		}
	}
}
